Bug 1192493 - (phpspec/prophecy) Review Request: php-phpspec-prophecy - Highly opinionated mocking framework for PHP
Review Request: php-phpspec-prophecy - Highly opinionated mocking framework f...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On: phpdocumentor/reflection-docblock
Blocks: phpspec/phpspec
  Show dependency treegraph
 
Reported: 2015-02-13 09:27 EST by Remi Collet
Modified: 2015-03-11 12:39 EDT (History)
2 users (show)

See Also:
Fixed In Version: php-phpspec-prophecy-1.3.1-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-05 07:38:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+
puiterwijk: fedora‑cvs+


Attachments (Terms of Use)
phpcompatinfo.log (28.39 KB, text/plain)
2015-02-21 22:50 EST, Shawn Iwinski
no flags Details
fedora-review.txt (6.80 KB, text/plain)
2015-02-21 22:51 EST, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2015-02-13 09:27:30 EST
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/762a21add6d5d6990cddfeec9e6b9bd29f1d0a64/php/phpspec/php-phpspec-prophecy/php-phpspec-prophecy.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-phpspec-prophecy-1.3.1-1.remi.src.rpm
Description: 
Prophecy is a highly opinionated yet very powerful and flexible PHP object
mocking framework.

Though initially it was created to fulfil phpspec2 needs, it is flexible enough
to be used inside any testing framework out there with minimal effort.

Fedora Account System Username: remi

--

New dependency of PHPUnit 4.5
No test for now, the test suite requires phpspec which requires this package. I plan to work on this later.
As usually, I plan to clean EL-5 stuff after import.
Comment 1 Remi Collet 2015-02-17 09:49:12 EST
Minor fix for the tests:
https://github.com/remicollet/remirepo/commit/6d34c9f17202d2822a04c17a4e4c4a49b2ae0e33

Spec: https://raw.githubusercontent.com/remicollet/remirepo/6d34c9f17202d2822a04c17a4e4c4a49b2ae0e33/php/phpspec/php-phpspec-prophecy/php-phpspec-prophecy.spec
Srpm: http://rpms.famillecollet.com/SRPMS/php-phpspec-prophecy-1.3.1-1.remi.src.rpm


I keep bootstrap = 1 for now, to not create a circular dep on pending reviews.
But once phpspec will be in the repo (bug #1193531), I will set bootstrap = 0

Of course can be used for a local build to check everything is OK.
Comment 2 Shawn Iwinski 2015-02-21 22:50:57 EST
Created attachment 994214 [details]
phpcompatinfo.log

phpCompatInfo version 3.7.2
Comment 3 Shawn Iwinski 2015-02-21 22:51:36 EST
Created attachment 994215 [details]
fedora-review.txt

Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1192493
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 4 Shawn Iwinski 2015-02-21 22:54:02 EST
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import.



Please also address the following after initial import:

phpcompatinfo requires comment says they are from version 1.1.0 but this spec is version 1.3.1 and the "php-date" require is missing.

php-phpspec-prophecy.noarch: W: spelling-error %description -l en_US fulfil -> fulfill, willful
php-phpspec-prophecy.src: W: spelling-error %description -l en_US fulfil -> fulfill, willful



No blockers.



===== APPROVED =====
Comment 5 Remi Collet 2015-02-22 02:34:59 EST
Thanks for the review!

New Package SCM Request
=======================
Package Name: php-phpspec-prophecy
Short Description: Highly opinionated mocking framework for PHP
Upstream URL: https://github.com/phpspec/prophecy
Owners: remi
Branches: f21 f22 epel7
InitialCC:
Comment 6 Patrick Uiterwijk 2015-02-24 04:35:34 EST
Git done (by process-git-requests).
Comment 7 Fedora Update System 2015-02-24 09:21:40 EST
php-phpspec-prophecy-1.3.1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/php-phpspec-prophecy-1.3.1-1.fc21
Comment 8 Fedora Update System 2015-02-24 09:21:45 EST
php-phpspec-prophecy-1.3.1-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/php-phpspec-prophecy-1.3.1-1.el7
Comment 9 Fedora Update System 2015-02-24 16:21:26 EST
php-phpspec-prophecy-1.3.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository.
Comment 10 Fedora Update System 2015-03-05 07:38:06 EST
php-phpspec-prophecy-1.3.1-1.fc21 has been pushed to the Fedora 21 stable repository.
Comment 11 Fedora Update System 2015-03-11 12:39:51 EDT
php-phpspec-prophecy-1.3.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.